{
    "name": "reload-backend-challenge",
    "version": "1.0.0",
    "main": "index.js",
    "repository": "https://gitlab.com/reload-health/teste-backend.git",
    "author": "Abner Oliveira <abner.oliveira.ce@gmail.com>",
    "license": "MIT",
    "scripts": {
        "build": "babel src --extensions \".js,.ts\" --out-dir dist --copy-files --no-copy-ignored",
        "dev:server": "ts-node-dev --transpile-only  --ignore-watch node_modules src/shared/infra/http/server.ts",
        "start": "ts-node src/shared/infra/http/server.ts",
        "start:prod": "node dist/shared/infra/http/server.js",
        "test": "jest",
        "migrations": "knex --knexfile src/shared/infra/knex/knexfile.ts migrate:latest --env migrations",
        "seeds": "knex --knexfile src/shared/infra/knex/knexfile.ts seed:run --env migrations"
    },
    "dependencies": {
        "@sentry/node": "^6.18.2",
        "@sentry/tracing": "^6.18.2",
        "celebrate": "^15.0.1",
        "class-transformer": "^0.2.3",
        "cors": "^2.8.5",
        "dotenv": "^16.0.0",
        "express": "^4.17.3",
        "express-async-errors": "^3.1.1",
        "ioredis": "^4.28.5",
        "jest": "^27.5.1",
        "knex": "^1.0.3",
        "mysql2": "^2.3.3",
        "reflect-metadata": "^0.1.13",
        "swagger-ui-express": "^4.3.0",
        "ts-node-dev": "^1.1.8",
        "tsyringe": "^4.6.0",
        "ts-jest": "^27.1.3"
    },
    "devDependencies": {
        "@babel/cli": "^7.17.6",
        "@babel/core": "^7.17.5",
        "@babel/node": "^7.16.8",
        "@babel/plugin-proposal-decorators": "^7.17.2",
        "@babel/preset-env": "^7.16.11",
        "@babel/preset-typescript": "^7.16.7",
        "@types/bcryptjs": "^2.4.2",
        "@types/cors": "^2.8.12",
        "@types/express": "^4.17.13",
        "@types/ioredis": "^4.28.8",
        "@types/jest": "^27.4.1",
        "@types/jsonwebtoken": "^8.5.1",
        "@types/mime": "^2.0.3",
        "@types/multer": "^1.4.5",
        "@types/nodemailer": "^6.4.4",
        "@types/redis": "^4.0.11",
        "@types/supertest": "^2.0.11",
        "@types/swagger-ui-express": "^4.1.3",
        "@types/uuid": "^8.3.0",
        "@typescript-eslint/eslint-plugin": "^5.14.0",
        "@typescript-eslint/parser": "^5.14.0",
        "babel-plugin-module-resolver": "^4.1.0",
        "babel-plugin-transform-typescript-metadata": "^0.3.2",
        "eslint": "^7.32.0",
        "eslint-config-airbnb-base": "^15.0.0",
        "eslint-config-prettier": "^8.5.0",
        "eslint-import-resolver-typescript": "^2.5.0",
        "eslint-plugin-import": "^2.25.2",
        "eslint-plugin-import-helpers": "^1.2.1",
        "eslint-plugin-prettier": "^4.0.0",
        "prettier": "^2.5.1",
        "tsconfig-paths": "^3.13.0",
        "typescript": "^4.6.2"
    }
}